Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneFactorClassificationModel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneFactorClassificationModel.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneFactorClassificationModel.cs	(revision 15018)
@@ -61,5 +61,5 @@
 
     [StorableConstructor]
-    private OneFactorClassificationModel(bool deserializing) : base(deserializing) { }
+    private OneFactorClassificationModel(StorableConstructorFlag deserializing) : base(deserializing) { }
     private OneFactorClassificationModel(OneFactorClassificationModel original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneFactorClassificationSolution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneFactorClassificationSolution.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneFactorClassificationSolution.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    private OneFactorClassificationSolution(bool deserializing) : base(deserializing) { }
+    private OneFactorClassificationSolution(StorableConstructorFlag deserializing) : base(deserializing) { }
     private OneFactorClassificationSolution(OneFactorClassificationSolution original, Cloner cloner) : base(original, cloner) { }
     public OneFactorClassificationSolution(OneFactorClassificationModel model, IClassificationProblemData problemData)
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneR.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneR.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneR.cs	(revision 15018)
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private OneR(bool deserializing) : base(deserializing) { }
+    private OneR(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     private OneR(OneR original, Cloner cloner)
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationModel.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationModel.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationModel.cs	(revision 15018)
@@ -61,5 +61,5 @@
 
     [StorableConstructor]
-    private OneRClassificationModel(bool deserializing) : base(deserializing) { }
+    private OneRClassificationModel(StorableConstructorFlag deserializing) : base(deserializing) { }
     private OneRClassificationModel(OneRClassificationModel original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationSolution.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationSolution.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/OneRClassificationSolution.cs	(revision 15018)
@@ -35,5 +35,5 @@
 
     [StorableConstructor]
-    private OneRClassificationSolution(bool deserializing) : base(deserializing) { }
+    private OneRClassificationSolution(StorableConstructorFlag deserializing) : base(deserializing) { }
     private OneRClassificationSolution(OneRClassificationSolution original, Cloner cloner) : base(original, cloner) { }
     public OneRClassificationSolution(OneRClassificationModel model, IClassificationProblemData problemData)
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/ZeroR.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/ZeroR.cs	(revision 14927)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.DataAnalysis/3.4/BaselineClassifiers/ZeroR.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private ZeroR(bool deserializing) : base(deserializing) { }
+    private ZeroR(StorableConstructorFlag deserializing) : base(deserializing) { }
     private ZeroR(ZeroR original, Cloner cloner)
       : base(original, cloner) {
